//
//  ViewController.m
//  SegmentView
//
//  Created by 房品汇 on 16/4/15.
//  Copyright © 2016年 Lukcy. All rights reserved.
//

#import "ViewController.h"
#import "SegmentView.h"
#define kScreenWidth [UIScreen mainScreen].bounds.size.width
#define kScreenHeight [UIScreen mainScreen].bounds.size.height

@interface ViewController ()<UIScrollViewDelegate>

@property (nonatomic,strong) NSArray *titleArray;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    self.title = @"首页";
    //取消自动布局
    self.automaticallyAdjustsScrollViewInsets = NO;
    
    _titleArray = @[@"第一个",@"第二个",@"第三个",@"第四个",@"第五个",@"第六个"];
    
    [self.view setUserInteractionEnabled:YES];
    [self initSubView];
}

- (void)initSubView{
    
    SegmentView *segmentView = [[SegmentView alloc] initWithFrame:CGRectMake(0, 64, kScreenWidth, kScreenHeight-64) titleArray:_titleArray selectType:0];
    segmentView.lineColor = [UIColor orangeColor];
    [self.view addSubview:segmentView];
    
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
@end
